clear;
addpath('./lib');

fid=fopen('generatrices.txt','r');
a=fscanf(fid,'%f %f',[2 inf]);
R=a(1,:)';
Z=a(2,:)';
fclose(fid);

% generation de l'objet
[x y z n m]=vase(R,Z);

% affichage
C=z;
surf(x,y,z,C);
hold on

% preparation des transformations
xv=reshape(x,n*m,1);
yv=reshape(y,n*m,1);
zv=reshape(z,n*m,1);
XYZ=[xv';yv';zv'];

% translation + homothetie
XYZT=translation([1;3;-3],XYZ);
XYZH=homothetie([1;3;-3],1.5*[1 1 1],XYZT);

% retour a la representation matricielle
xx1=reshape(XYZH(1,:),n,m);
yy1=reshape(XYZH(2,:),n,m);
zz1=reshape(XYZH(3,:),n,m);

% affichage
surf(xx1,yy1,zz1,C);
hold on

% translation + rotation
XYZR=rotation([40;0;90],XYZT);

% retour a la representation matricielle
xx2=reshape(XYZR(1,:),n,m);
yy2=reshape(XYZR(2,:),n,m);
zz2=reshape(XYZR(3,:),n,m);

% affichage
surf(xx2,yy2,zz2,C);


